### Class

# Camel FilterDriver

#### Description

    class Camel.FilterDriver : GObject.Object
    {
      CamelFilterDriverPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### camel_filter_driver_new

No description available.

#### Instance methods

###### camel_filter_driver_add_rule

Adds a new rule to set of rules to process by the filter driver.

###### camel_filter_driver_filter_folder

Filters a folder based on rules defined in the FilterDriver object.

###### camel_filter_driver_filter_mbox

Filters an mbox file based on rules defined in the FilterDriver object. Is more efficient as it doesn’t need to open the folder through Camel directly.

###### camel_filter_driver_filter_message

Filters a message based on rules defined in the FilterDriver object. If the source folder (`source`) and the uid (`uid`) are provided, the filter will operate on the CamelFolder (which in certain cases is more efficient than using the default `camel_folder_append_message()` function).

###### camel_filter_driver_flush

Flush all of the only-once filter actions.

###### camel_filter_driver_log_info

Logs an informational message to a filter log. The function does nothing when `driver` is `NULL` or when there is no log file being set in `driver`.

since: 3.24

###### camel_filter_driver_remove_rule_by_name

Removes a rule by name, added by camel_filter_driver_add_rule().

###### camel_filter_driver_set_default_folder

Sets a default folder for the driver. The function adds its own reference for the folder.

###### camel_filter_driver_set_folder_func

Sets a callback (of type `CamelFilterGetFolderFunc`) to get a folder.

###### camel_filter_driver_set_logfile

Sets a log file to use for logging.

###### camel_filter_driver_set_play_sound_func

Sets a callback to call when a play of a sound is requested.

###### camel_filter_driver_set_shell_func

Sets a shell command callback, which is called when a shell command execution is requested.

###### camel_filter_driver_set_status_func

Sets a status callback, which is used to report progress/status.

###### camel_filter_driver_set_system_beep_func

Sets a callback to use for system beep.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelFilterDriverClass {
      GObjectClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`reserved: gpointer`

  No description available.